#!/usr/bin/python
from ansible.module_utils.basic import *

module = AnsibleModule(argument_spec=dict(
    repository_name=dict(required=False, default=None),
    snapshots=dict(required=False, default=None, type=list)
))
params = dict(module.params)
if 'repository_name' not in params.keys() or params['repository_name'] is None:
    module.fail_json(msg="Could not retrieve snapshots. Parameter repository_name missing. Please contact administrator")

if 'snapshots' not in params.keys() or params['snapshots'] is None:
    module.fail_json(msg="Could not retrieve snapshots. Parameter repository_name missing. Please contact administrator")

def sort_snapshots_by_end_time(e):
    return e['end_time_in_millis']


repo_name = params['repository_name']
snapshots = params['snapshots']

if len(snapshots) == 0:
    module.fail_json(msg="No snapshots found. Please contact administrator")

snapshots_offset = 10

snapshots.sort(reverse=True, key=sort_snapshots_by_end_time)
success_snapshots = list(filter(lambda snapshot: snapshot['state'] == 'SUCCESS', snapshots))
filtered_snapshots = list(map(lambda snap: snap['snapshot'], success_snapshots))[:snapshots_offset]
module.exit_json(changed=False, meta=filtered_snapshots)
