#!/usr/bin/env bash

SPARK_LOCAL_DIRS=${1:-/mnt/spark/local_dirs}
SPARK_WORK_DIR=${2:-/mnt/spark/work}
RETENTION_DAYS=${3:-7}
KEEP_N_NEW=2
FOLDERS_TO_CLEAN=( ${SPARK_LOCAL_DIRS} ${SPARK_WORK_DIR} )
echo "Executing spark clean up procedure "
for folder in "${FOLDERS_TO_CLEAN[@]}"
do
  if [[ -d "${folder}" ]]; then
   echo "Cleaning older than ${RETENTION_DAYS} days files from ${folder}"
   find ${folder} -maxdepth 1 -mindepth 1   -type d -ctime +${RETENTION_DAYS}  -printf '%T@ %p\n' | sort -n |  head -n -${KEEP_N_NEW} | awk '{ print $2 } ' | xargs  --no-run-if-empty  rm -rf
   EXIT_CODE=$?
   if [[ "${EXIT_CODE}" != "0" ]]; then
      echo "Failed to delete folders "
      find ${folder} -maxdepth 1 -mindepth 1   -type d -ctime +${RETENTION_DAYS}  -printf '%T@ %p\n' | sort -n |  head -n -${KEEP_N_NEW} | awk '{ print $2 } ' | xargs -r echo
   fi
  else
    echo "No ${folder} found"
  fi

done


